Bug 589655 - Config change detection is delayed on augeas-based resources (Regression)
Summary: Config change detection is delayed on augeas-based resources (Regression)
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Configuration   
(Show other bugs)
Version: 1.4
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhq_triage jon24-apache
TreeView+ depends on / blocked
 
Reported: 2010-05-06 15:52 UTC by Jeff Weiss
Modified: 2014-11-09 22:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 17:59:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Weiss 2010-05-06 15:52:07 UTC
Description of problem:
Normally, if you update an augeas configured resource on the command line, and then view the "Current" subtab of the resource's Configuration tab in RHQ, the update will be displayed immediately.  That is no longer occurring, the update takes over 15 minutes to appear.  This is a regression.

Version-Release number of selected component (if applicable):
88b808d

How reproducible:
Always

Steps to Reproduce:
1. Take a postfix server into inventory (samba, sudoers, etc should also work - but you'll need to find and update a config key on your own)
2. On the server where postfix is running, run 
 echo -e "set /files/etc/postfix/main.cf/mynetworks '192.168.0.99/24'\nsave" | augtool
3. Immediately, in RHQ go to Postfix's Configuration->Current tab.  Look at the value for mynetworks. 
  
Actual results:
The value hasn't been updated to 
192.168.0.99/24
After about 15-20 minutes, the value finally updates. 

Expected results:
The value is updated to 
192.168.0.99/24

Additional info:

Comment 1 Jeff Weiss 2010-05-06 15:54:29 UTC
I did check that flat-file based configurations DO still update instantly in the UI (such as a JBossAS Datasource xml configuration file).

Comment 2 Charles Crouch 2010-05-24 17:59:29 UTC
Should check if we're seeing this on the apache plugin


Note You need to log in before you can comment on or make changes to this bug.